Jump to content

Welcome to CyanogenMod

Welcome to our forum. Like most online communities you must register to post, but don't worry this is a simple free process that requires minimal information for you to signup. Be a part of the CyanogenMod Forum by signing in or creating an account. You can even sign in with your Facebook or Twitter account.
  • Start new topics and reply to others
  • Subscribe to topics and forums to get automatic updates
  • Get your own profile and make new friends
  • Download files attached to the forum.
  • Customize your experience here
  • Share your CyanogenMod experience!
Guest Message by DevFuse
 

[SOLVED] Market app missing


  • Please log in to reply
10 replies to this topic

#1 anverx

anverx
  • Members
  • 3 posts
  • Device Model:
    |2|
  • CM Version:
    6.0.0-rc3
  • Recovery Image:
    Amon_RA

Posted 16 August 2010 - 07:46 AM

Hello,
I've just rooted my 32B magic, i've installed amon RA recovery and Cyanogen mod 6.0.0-rc3.  
Installation went fine, the phone works, google sync went through, email, contacts, etc,
it looks fabulous. Now when i came to installing the apps back, i couldn't find the market app,  
shouldn't it be between 'Maps' and 'Messaging'?  Package browser shows 'Market Updater' but no
'Market'.  Am i missing something obvious?

update:
Apparently i was using some kind of wrong gapps package.

Edited by anverx, 16 August 2010 - 08:06 PM.


#2 nouse41

nouse41
  • Members
  • 2 posts
  • Country:
    us - United States
  • Device Model:
    |2|
  • CM Version:
    Cyanogen 6 RC3
  • Recovery Image:
    Amon_RA

Posted 17 August 2010 - 03:32 AM

View Postanverx, on 16 August 2010 - 07:46 AM, said:

Hello,
I've just rooted my 32B magic, i've installed amon RA recovery and Cyanogen mod 6.0.0-rc3.  
Installation went fine, the phone works, google sync went through, email, contacts, etc,
it looks fabulous. Now when i came to installing the apps back, i couldn't find the market app,  
shouldn't it be between 'Maps' and 'Messaging'?  Package browser shows 'Market Updater' but no
'Market'.  Am i missing something obvious?

update:
Apparently i was using some kind of wrong gapps package.

Can you elaborate? I'm having the same problem and I downloaded my apps package (gapps-mdpi-20100814-signed) for my freshly rooted and modded G1. Marketplace is nowhere to be found. Where did you download the gapps package that worked and what was the name of the file? That would show the date, etc.
I installed from http://wiki.cyanogen...ion#Google_Apps

Edited by nouse41, 17 August 2010 - 03:33 AM.


#3 ciwrl

ciwrl

    Whose bright idea was it to put me in charge?

  • Administrators
  • 1621 posts
  • Twitter:ciwrl
  • Country:
    us - United States
  • Device Model:
    DS|N1|NS|G2|SGS|SGN|N4|N5
  • CM Version:
    [Latest]
  • Recovery Image:
    ClockworkMod

Posted 17 August 2010 - 06:40 AM

G1 and Magic users should use MDPI-Tiny (now version 8/16/10) in the downloads section > experimental

http://forum.cyanoge...-tiny-20100816/

#4 matrix78ro

matrix78ro
  • Members
  • 2 posts
  • Country:
    ro - Romania
  • Location:
    Timisoara
  • Device Model:
    |0|
  • CM Version:
    CyanogenMod 6.0
  • Recovery Image:
    Cyanogen

Posted 17 August 2010 - 12:34 PM

Hi,

I have a problem:

First I had installed gapps and I had no market icon, but then I had installed gapps_tiny and know i have market, but my gmaps link is broken, so i have no gmaps.

Anybody have this problem? and solved it? :)

thank you

Edited by matrix78ro, 17 August 2010 - 12:37 PM.


#5 nouse41

nouse41
  • Members
  • 2 posts
  • Country:
    us - United States
  • Device Model:
    |2|
  • CM Version:
    Cyanogen 6 RC3
  • Recovery Image:
    Amon_RA

Posted 17 August 2010 - 01:10 PM

View Postciwrl, on 17 August 2010 - 06:40 AM, said:

G1 and Magic users should use MDPI-Tiny (now version 8/16/10) in the downloads section > experimental

http://forum.cyanoge...-tiny-20100816/
OK, I must have missed that G1 users need to use the tiny package,(using this: http://wiki.cyanogen...ide_-_HTC_Dream ). This is the first Android phone I've used. (Have had 2 iPhones and been jailbreaking since before 2.0, but a newbie in Android) Now that I know that, can I just flash the tiny version over the top of what I have now? Will it remove the standard package I installed? Or do I need to install Cyanogen RC3 again and then install the tiny package? Another way to put it is how far back (what step) in the guide above do I need to go back to get this right? I'm sorry this is probably a basic question once you've done it a couple of times.

Edited by nouse41, 17 August 2010 - 01:21 PM.


#6 arcanum

arcanum
  • Members
  • 3 posts
  • Twitter:kmetaxas
  • Country:
    us - United States
  • Device Model:
    |0|
  • CM Version:
    6 RC3
  • Recovery Image:
    Amon_RA

Posted 17 August 2010 - 06:50 PM

Same here, I have a Magic 32a.
I installed gapps-mdpi (*not* tiny), and market and gtalk was missing but i did have Maps..  I found this thread and installed the tiny version, but now i have market and google talk but *not* Maps.

#7 esh

esh
  • Members
  • 1 posts
  • Country:
    us - United States
  • Device Model:
    |2|
  • CM Version:
    5.0.8
  • Recovery Image:
    Cyanogen

Posted 17 August 2010 - 07:08 PM

nvrmind found solution in stable sticky

Edited by esh, 17 August 2010 - 07:13 PM.


#8 Mytouchninja

Mytouchninja
  • Members
  • 1 posts
  • Country:
    us - United States
  • Device Model:
    |0|
  • CM Version:
    6
  • Recovery Image:
    Cyanogen

Posted 18 August 2010 - 01:00 AM

Maps can be downloaded on the market

#9 arcanum

arcanum
  • Members
  • 3 posts
  • Twitter:kmetaxas
  • Country:
    us - United States
  • Device Model:
    |0|
  • CM Version:
    6 RC3
  • Recovery Image:
    Amon_RA

Posted 18 August 2010 - 06:32 AM

I tried searching the market for "google maps" with no results.  I then used the android browser to go to "m.google.com/maps" and followed the link to download from market. I got "There are no matches in Android Market for the search pname:com.google.android.apps.maps"

#10 matrix78ro

matrix78ro
  • Members
  • 2 posts
  • Country:
    ro - Romania
  • Location:
    Timisoara
  • Device Model:
    |0|
  • CM Version:
    CyanogenMod 6.0
  • Recovery Image:
    Cyanogen

Posted 18 August 2010 - 07:29 PM

Hi,

I have found out the problem. When installing gapps full version, HTC Magic runs out of space on /system partition, hence the maps app and others apps cannot be installed. The small version, gapps-tiny, doesn't contain maps application.

Solution:

- install gapps tiny
- remove some of the apps you don't need from /system partition (i'm using adb from linux OS)
- extract maps apk from gapps full archive and install manualy on the phone (with the same adb)

Now I have: market, gtalk, maps and latitude working perfectly on my HTC Magic with CyanogenMod 6.0.0RC3

Edited by matrix78ro, 18 August 2010 - 07:30 PM.


#11 arcanum

arcanum
  • Members
  • 3 posts
  • Twitter:kmetaxas
  • Country:
    us - United States
  • Device Model:
    |0|
  • CM Version:
    6 RC3
  • Recovery Image:
    Amon_RA

Posted 18 August 2010 - 10:28 PM

Ok, thanks. I unziped the full gapps package and did 'adb install Maps.apk'. That solved it.
Apparently, the '/system/' partition does not have space for Maps. Installing an app through the installer (such as using adb install) installs it at /data/app/ which has enough room (AFAIK). So that works.
I still do not understand why the Android Market hides Maps from me tough.